loadCnRegionData {acnr} | R Documentation

## loadCnRegionData

### Description

Load real, annotated copy number data

### Usage

    loadCnRegionData(dataSet, tumorFraction = 1)

### Arguments

`dataSet` | name of one of the data sets of the package, see `listDataSets`
`tumorFraction` | proportion of tumor cells in the "tumor" sample (a.k.a. tumor cellularity). See `listTumorFractions`.

### Details

This function is a wrapper to load real genotyping array data taken from

* a dilution series from the Affymetrix GenomeWideSNP_6 chip type (Rasmussen et al, 2011), see `GSE29172_H1395` * a dilution series from the Illumina HumanCNV370v1 chip type (Staaf et al, 2008), see `GSE11976_CRL2324` * a tumor/normal pair from the Affymetrix GenomeWideSNP_6 chip type (Chiang et al, 2008), see `GSE13372_HCC1143`

### Value

a data.frame containing copy number data for different types of copy number regions. Columns:

c

  Total copy number

b

  Allele B fraction (a.k.a. BAF)

region

  a character value, annotation label for the region. Should be encoded as `"(C1,C2)"`, where `C1` denotes the minor copy number and `C2` denotes the major copy number. For example,

  (1,1)

    Normal

  (0,1)

    Hemizygous deletion

  (0,0)

    Homozygous deletion

  (1,2)

    Single copy gain

  (0,2)

    Copy-neutral LOH

  (2,2)

    Balanced two-copy gain

  (1,3)

    Unbalanced two-copy gain

  (0,3)

    Single-copy gain with LOH

muN

  the (germline) genotype of SNPs. By definition, rows with missing genotypes are interpreted as non-polymorphic loci (a.k.a. copy number probes).

### Author(s)

Morgane Pierre-Jean and Pierre Neuvial

### Examples

    affyDat <- loadCnRegionData(dataSet="GSE29172_H1395", tumorFraction=1)
    str(affyDat)

    illuDat <- loadCnRegionData(dataSet="GSE11976_CRL2324", tumorFraction=.79)
    str(illuDat)

    affyDat2 <- loadCnRegionData(dataSet="GSE13372_HCC1143", tumorFraction=1)
    str(affyDat2)

[Package acnr version 1.0.0 Index]